PBE (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.jcajce.provider.symmetric.util

## Interface PBE

- All Known Implementing Classes:
    AES.AESCMAC, AES.AESGMAC, AES.CBC, AES.CCM, AES.CFB, AES.ECB, AES.GCM, AES.OFB, AES.PBEWithAESCBC, AES.PBEWithMD5And128BitAESCBCOpenSSL, AES.PBEWithMD5And192BitAESCBCOpenSSL, AES.PBEWithMD5And256BitAESCBCOpenSSL, AES.PBEWithSHA256And128BitAESBC, AES.PBEWithSHA256And192BitAESBC, AES.PBEWithSHA256And256BitAESBC, AES.PBEWithSHAAnd128BitAESBC, AES.PBEWithSHAAnd192BitAESBC, AES.PBEWithSHAAnd256BitAESBC, AES.Poly1305, AES.RFC3211Wrap, AES.RFC5649Wrap, AES.Wrap, ARC4.Base, ARC4.PBEWithSHAAnd128Bit, ARC4.PBEWithSHAAnd128BitKeyFactory, ARC4.PBEWithSHAAnd40Bit, ARC4.PBEWithSHAAnd40BitKeyFactory, BaseBlockCipher, BaseMac, BaseSecretKeyFactory, BaseStreamCipher, BaseWrapCipher, Blowfish.CBC, Blowfish.ECB, Camellia.CBC, Camellia.ECB, Camellia.GMAC, Camellia.Poly1305, Camellia.RFC3211Wrap, Camellia.Wrap, CAST5.CBC, CAST5.ECB, CAST6.ECB, CAST6.GMAC, CAST6.Poly1305, ChaCha.Base, DES.CBC, DES.CBCMAC, DES.CMAC, DES.DES64, DES.DES64with7816d4, DES.DES9797Alg3, DES.DES9797Alg3with7816d4, DES.DESCFB8, DES.DESPBEKeyFactory, DES.ECB, DES.KeyFactory, DES.PBEWithMD2, DES.PBEWithMD2KeyFactory, DES.PBEWithMD5, DES.PBEWithMD5KeyFactory, DES.PBEWithSHA1, DES.PBEWithSHA1KeyFactory, DES.RFC3211, DESede.CBC, DESede.CBCMAC, DESede.CMAC, DESede.DESede64, DESede.DESede64with7816d4, DESede.DESedeCFB8, DESede.ECB, DESede.KeyFactory, DESede.PBEWithSHAAndDES2Key, DESede.PBEWithSHAAndDES2KeyFactory, DESede.PBEWithSHAAndDES3Key, DESede.PBEWithSHAAndDES3KeyFactory, DESede.RFC3211, DESede.Wrap, GOST28147.CBC, GOST28147.ECB, GOST28147.GCFB, GOST28147.Mac, GOST3411.HashMac, GOST3411.PBEWithMacKeyFactory, Grain128.Base, Grainv1.Base, HC128.Base, HC256.Base, IDEA.CBC, IDEA.CFB8Mac, IDEA.ECB, IDEA.Mac, IDEA.PBEWithSHAAndIDEA, IDEA.PBEWithSHAAndIDEAKeyGen, MD2.HashMac, MD4.HashMac, MD5.HashMac, Noekeon.ECB, Noekeon.GMAC, Noekeon.Poly1305, PBEPBKDF2.BasePBKDF2, PBEPBKDF2.PBKDF2withUTF8, PBESecretKeyFactory, RC2.CBC, RC2.CBCMAC, RC2.CFB8MAC, RC2.ECB, RC2.PBEWithMD2KeyFactory, RC2.PBEWithMD5AndRC2, RC2.PBEWithMD5KeyFactory, RC2.PBEWithSHA1AndRC2, RC2.PBEWithSHA1KeyFactory, RC2.PBEWithSHAAnd128BitKeyFactory, RC2.PBEWithSHAAnd128BitRC2, RC2.PBEWithSHAAnd40BitKeyFactory, RC2.PBEWithSHAAnd40BitRC2, RC2.Wrap, RC5.CBC32, RC5.CFB8Mac32, RC5.ECB32, RC5.ECB64, RC5.Mac32, RC6.CBC, RC6.CFB, RC6.ECB, RC6.GMAC, RC6.OFB, RC6.Poly1305, Rijndael.ECB, RIPEMD128.HashMac, RIPEMD160.HashMac, RIPEMD160.PBEWithHmac, RIPEMD160.PBEWithHmacKeyFactory, RIPEMD256.HashMac, RIPEMD320.HashMac, Salsa20.Base, SEED.CBC, SEED.ECB, SEED.GMAC, SEED.Poly1305, SEED.Wrap, Serpent.ECB, Serpent.Poly1305, Serpent.SerpentGMAC, SHA1.BasePBKDF2WithHmacSHA1, SHA1.HashMac, SHA1.PBEWithMacKeyFactory, SHA1.PBKDF2WithHmacSHA18BIT, SHA1.PBKDF2WithHmacSHA1UTF8, SHA1.SHA1Mac, SHA224.HashMac, SHA256.HashMac, SHA256.PBEWithMacKeyFactory, SHA3.HashMac224, SHA3.HashMac256, SHA3.HashMac384, SHA3.HashMac512, SHA384.HashMac, SHA384.OldSHA384, SHA512.HashMac, SHA512.HashMacT224, SHA512.HashMacT256, SHA512.OldSHA512, Shacal2.CBC, Shacal2.ECB, SipHash.Mac24, SipHash.Mac48, Skein.HashMac_1024_1024, Skein.HashMac_1024_384, Skein.HashMac_1024_512, Skein.HashMac_256_128, Skein.HashMac_256_160, Skein.HashMac_256_224, Skein.HashMac_256_256, Skein.HashMac_512_128, Skein.HashMac_512_160, Skein.HashMac_512_224, Skein.HashMac_512_256, Skein.HashMac_512_384, Skein.HashMac_512_512, Skein.SkeinMac_1024_1024, Skein.SkeinMac_1024_384, Skein.SkeinMac_1024_512, Skein.SkeinMac_256_128, Skein.SkeinMac_256_160, Skein.SkeinMac_256_224, Skein.SkeinMac_256_256, Skein.SkeinMac_512_128, Skein.SkeinMac_512_160, Skein.SkeinMac_512_224, Skein.SkeinMac_512_256, Skein.SkeinMac_512_384, Skein.SkeinMac_512_512, Skipjack.ECB, Skipjack.Mac, Skipjack.MacCFB8, TEA.ECB, Threefish.ECB_1024, Threefish.ECB_256, Threefish.ECB_512, Tiger.HashMac, Tiger.PBEWithHashMac, Tiger.PBEWithMacKeyFactory, Tiger.TigerHmac, Twofish.ECB, Twofish.GMAC, Twofish.PBEWithSHA, Twofish.PBEWithSHAKeyFactory, Twofish.Poly1305, VMPC.Base, VMPC.Mac, VMPCKSA3.Base, Whirlpool.HashMac, XSalsa20.Base, XTEA.ECB

      public interface PBE

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `PBE.Util` uses the appropriate mixer to generate the key and IV if necessary.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `GOST3411`
    `static int` | `MD2`
    `static int` | `MD5`
    `static int` | `OPENSSL`
    `static int` | `PKCS12`
    `static int` | `PKCS5S1`
    `static int` | `PKCS5S1_UTF8`
    `static int` | `PKCS5S2`
    `static int` | `PKCS5S2_UTF8`
    `static int` | `RIPEMD160`
    `static int` | `SHA1`
    `static int` | `SHA256`
    `static int` | `TIGER`

- - ### Field Detail

    - #### MD5

          static final int MD5

      See Also:
        Constant Field Values

    - #### SHA1

          static final int SHA1

      See Also:
        Constant Field Values

    - #### RIPEMD160

          static final int RIPEMD160

      See Also:
        Constant Field Values

    - #### TIGER

          static final int TIGER

      See Also:
        Constant Field Values

    - #### SHA256

          static final int SHA256

      See Also:
        Constant Field Values

    - #### MD2

          static final int MD2

      See Also:
        Constant Field Values

    - #### GOST3411

          static final int GOST3411

      See Also:
        Constant Field Values

    - #### PKCS5S1

          static final int PKCS5S1

      See Also:
        Constant Field Values

    - #### PKCS5S2

          static final int PKCS5S2

      See Also:
        Constant Field Values

    - #### PKCS12

          static final int PKCS12

      See Also:
        Constant Field Values

    - #### OPENSSL

          static final int OPENSSL

      See Also:
        Constant Field Values

    - #### PKCS5S1_UTF8

          static final int PKCS5S1_UTF8

      See Also:
        Constant Field Values

    - #### PKCS5S2_UTF8

          static final int PKCS5S2_UTF8

      See Also:
        Constant Field Values